summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--docker/scripts/lib_apt.sh27
-rw-r--r--jjb/csit/csit-perf.yaml14
-rwxr-xr-xjjb/scripts/vpp/arm-drivers.sh26
-rw-r--r--jjb/vpp/vpp.yaml68
4 files changed, 116 insertions, 19 deletions
diff --git a/docker/scripts/lib_apt.sh b/docker/scripts/lib_apt.sh
index 356e8818b..beeb4829d 100644
--- a/docker/scripts/lib_apt.sh
+++ b/docker/scripts/lib_apt.sh
@@ -20,8 +20,26 @@ if [ -n "$(alias lib_apt_imported 2> /dev/null)" ] ; then
fi
alias lib_apt_imported=true
-DIND_FROM_IMAGE="cruizba/ubuntu-dind:jammy-26.1.3-r2"
-HST_FROM_IMAGE="ubuntu:22.04"
+select_dind_image() {
+ local input_image="$1"
+ local dind_image=""
+
+ case "$input_image" in
+ "ubuntu:22.04")
+ dind_image="cruizba/ubuntu-dind:jammy-26.1.3-r2"
+ is_dind_image="true"
+ ;;
+ "ubuntu:24.04")
+ dind_image="cruizba/ubuntu-dind:noble-26.1.3-r2"
+ is_dind_image="true"
+ ;;
+ *)
+ dind_image="$input_image"
+ ;;
+ esac
+
+ echo "$dind_image"
+}
export CIMAN_DOCKER_SCRIPTS=${CIMAN_DOCKER_SCRIPTS:-"$(dirname $BASH_SOURCE)"}
. "$CIMAN_DOCKER_SCRIPTS/lib_common.sh"
@@ -374,10 +392,7 @@ generate_apt_dockerfile() {
local is_dind_image="false"
# TODO: Enable HST on AARCH64 when supported in vpp/extras/hs-test
- if [ "$from_image" = "$HST_FROM_IMAGE" ] ; then
- from_image="$DIND_FROM_IMAGE"
- is_dind_image="true"
- fi
+ from_image=$(select_dind_image "$from_image")
cat <<EOF >"$DOCKERIGNOREFILE"
**/__pycache__
diff --git a/jjb/csit/csit-perf.yaml b/jjb/csit/csit-perf.yaml
index 006ad5f64..5afa27b6b 100644
--- a/jjb/csit/csit-perf.yaml
+++ b/jjb/csit/csit-perf.yaml
@@ -160,7 +160,7 @@
os: 'ubuntu2404'
executor-arch: 'x86_64'
- 3n-oct:
- os: 'ubuntu2204'
+ os: 'ubuntu2404'
executor-arch: 'aarch64'
stream:
- master:
@@ -182,7 +182,7 @@
- 2n-spr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 2n-zn2:
os: 'ubuntu2404'
executor-arch: 'x86_64'
@@ -190,7 +190,7 @@
- 3n-icx:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 3n-alt:
os: 'ubuntu2404'
executor-arch: 'aarch64'
@@ -210,7 +210,7 @@
- 3nb-spr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 2n-emr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
@@ -232,11 +232,11 @@
- 2n-spr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 3n-icx:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 3na-spr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
@@ -244,7 +244,7 @@
- 3nb-spr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
- periodicity: '30 22 * * 1,4'
+ periodicity: '30 22 * * 0-4'
- 2n-emr:
os: 'ubuntu2404'
executor-arch: 'x86_64'
diff --git a/jjb/scripts/vpp/arm-drivers.sh b/jjb/scripts/vpp/arm-drivers.sh
index cd0ff5cd1..2666bbe2b 100755
--- a/jjb/scripts/vpp/arm-drivers.sh
+++ b/jjb/scripts/vpp/arm-drivers.sh
@@ -18,6 +18,14 @@ echo "---> jjb/scripts/vpp/arm-drivers.sh"
set -euxo pipefail
line="*************************************************************************"
+# Don't build anything if this is a merge job being run when
+# the git HEAD id is not the same as the Gerrit New Revision id.
+if [[ ${JOB_NAME} == *merge* ]] && [ -n "${GERRIT_NEWREV:-}" ] &&
+ [ "$GERRIT_NEWREV" != "$GIT_COMMIT" ] ; then
+ echo -e "\n$line\nSkipping build. A newer patch has been merged.\n$line\n"
+ exit 0
+fi
+
OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
OS_ARCH=$(uname -m)
@@ -35,21 +43,27 @@ make_deps() {
BUILD_ERROR="FAILED 'make install-ext-deps'"
return
fi
+ if [ -f extras/scripts/build_static_vppctl.sh ]; then
+ if ! extras/scripts/build_static_vppctl.sh ; then
+ BUILD_ERROR="FAILED 'extras/scripts/build_static_vppctl.sh'"
+ return
+ fi
+ fi
}
-make_build_release_arm_driver() {
+make_pkg_verify_arm_driver() {
vpp_platform="$1"
git clean -fdx || true
- if ! make UNATTENDED=yes build-release VPP_PLATFORM="$vpp_platform"; then
- BUILD_ERROR="FAILED 'make build-release VPP_PLATFORM=$vpp_platform'"
+ if ! make UNATTENDED=yes pkg-verify VPP_PLATFORM="$vpp_platform"; then
+ BUILD_ERROR="FAILED 'make pkg-verify VPP_PLATFORM=$vpp_platform'"
return
fi
}
if [ "${DRYRUN,,}" != "true" ] ; then
make_deps
- make_build_release_arm_driver cn913x
- make_build_release_arm_driver octeon9
- make_build_release_arm_driver octeon10
+ make_pkg_verify_arm_driver cn913x
+ make_pkg_verify_arm_driver octeon9
+ make_pkg_verify_arm_driver octeon10
fi
if [ -n "$BUILD_ERROR" ] ; then
BUILD_RESULT="$BUILD_ERROR"
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index 62d95e436..dfc26bf23 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -253,6 +253,7 @@
name: vpp-arm-drivers
jobs:
- 'vpp-verify-arm-drivers-{stream}-{os}-{executor-arch}'
+ - 'vpp-merge-arm-drivers-{stream}-{os}-{executor-arch}'
project: 'vpp'
os:
- 'ubuntu2404'
@@ -907,6 +908,73 @@
- fdio-infra-publish
# [end] VPP-MERGE JOB TEMPLATE
+# VPP-MERGE-ARM-DRIVERS JOB TEMPLATE
+- job-template:
+ name: 'vpp-merge-arm-drivers-{stream}-{os}-{executor-arch}'
+
+ project-type: freestyle
+ node: 'builder-{os}-prod-{executor-arch}'
+ concurrent: true
+
+ properties:
+ - lf-infra-properties:
+ build-days-to-keep: "{build-days-to-keep}"
+
+ # Please keep parameters in alphabetical order
+ parameters:
+ - gerrit-parameter:
+ branch: '{branch}'
+ - os-parameter:
+ os: '{os}'
+ - project-parameter:
+ project: '{project}'
+ - stream-parameter:
+ stream: '{stream}'
+
+ scm:
+ - gerrit-trigger-scm:
+ credentials-id: 'jenkins-gerrit-credentials'
+ refspec: ''
+ choosing-strategy: 'gerrit'
+
+ wrappers:
+ - fdio-infra-wrappers:
+ build-timeout: 120
+
+ triggers:
+ - gerrit-trigger-patch-merged:
+ name: '{project}'
+ branch: '{branch}'
+
+ builders:
+ - config-file-provider:
+ files:
+ - file-id: '.packagecloud'
+ target: '/root/.packagecloud'
+ - config-file-provider:
+ files:
+ - file-id: 'packagecloud_api'
+ target: '/root/packagecloud_api'
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_executor_env.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ubuntu_docker_test.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/setup_vpp_ext_deps.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/vpp/arm-drivers.sh
+ - shell:
+ !include-raw-escape:
+ - ../scripts/packagecloud_push.sh
+
+ publishers:
+ - fdio-infra-publish
+# [end] VPP-MERGE-ARM-DRIVERS JOB TEMPLATE
+
# VPP-GCC-VERIFY JOB TEMPLATE
- job-template:
name: 'vpp-gcc-verify-{stream}-{os}-{executor-arch}'